
QGIS Application - Bug report #14127

Heatmap with expression triggers segfault

2016-01-18 06:09 AM - Yves Jacolin

Status: Closed

Priority: Severe/Regression

Assignee: Nyall Dawson

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22129

Description

(release: master from today)

    -  Open QGIS

    -  load shp data (attached)

    -  open properties then style tab

    -  choose heatmap

    -  clic on expression

    -  segfault

See the gdb output!

Program received signal SIGSEGV, Segmentation fault.

0x00007ffff622bc1a in QBasicAtomicInt::ref() () from

/home/yjacolin/Documents/Developpement/qgis_install/lib/libqgis_core.so.2.13.0

(gdb) bt

#0  0x00007ffff622bc1a in QBasicAtomicInt::ref() () from

/home/yjacolin/Documents/Developpement/qgis_install/lib/libqgis_core.so.2.13.0

#1  0x00007ffff643104b in QHash<QString, QgsExpressionContextScope::StaticVariable>::QHash(QHash<QString,

QgsExpressionContextScope::StaticVariable> const&) () from

/home/yjacolin/Documents/Developpement/qgis_install/lib/libqgis_core.so.2.13.0

#2  0x00007ffff6428a9f in QgsExpressionContextScope::QgsExpressionContextScope(QgsExpressionContextScope const&) ()

   from /home/yjacolin/Documents/Developpement/qgis_install/lib/libqgis_core.so.2.13.0

#3  0x00007ffff6dcd108 in _getExpressionContext () from

/home/yjacolin/Documents/Developpement/qgis_install/lib/libqgis_gui.so.2.13.0

#4  0x00007ffff6fc6701 in QgsFieldExpressionWidget::editExpression() ()

   from /home/yjacolin/Documents/Developpement/qgis_install/lib/libqgis_gui.so.2.13.0

#5  0x00007ffff70934a8 in QgsFieldExpressionWidget::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) ()

   from /home/yjacolin/Documents/Developpement/qgis_install/lib/libqgis_gui.so.2.13.0

#6  0x00007ffff5d4d87a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

#7  0x00007ffff5721172 in QAbstractButton::clicked(bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#8  0x00007ffff5484a63 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#9  0x00007ffff5485bd3 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#10 0x00007ffff5485cbc in QAbstractButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#11 0x00007ffff553caca in QToolButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#12 0x00007ffff512251a in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#13 0x00007ffff50d2e2c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#14 0x00007ffff50d95dd in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#15 0x00007ffff638a8c3 in QgsApplication::notify(QObject*, QEvent*) ()

2025-04-27 1/2



   from /home/yjacolin/Documents/Developpement/qgis_install/lib/libqgis_core.so.2.13.0

#16 0x00007ffff5d394dd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#17 0x00007ffff50d8d93 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**,

QPointer<QWidget>&, bool) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#18 0x00007ffff514d9eb in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#19 0x00007ffff514d289 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#20 0x00007ffff5174b32 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#21 0x00007fffede3fe04 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#22 0x00007fffede40048 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#23 0x00007fffede400ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#24 0x00007ffff5d667a1 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()

   from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#25 0x00007ffff5174be6 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

Associated revisions

Revision e2e36047 - 2016-01-19 01:09 AM - Nyall Dawson

Fix crash using expression for heatmap renderer (fix #14127)

History

#1 - 2016-01-18 09:48 AM - Nyall Dawson

- Priority changed from Normal to Severe/Regression

- Assignee set to Nyall Dawson

#2 - 2016-01-18 04:10 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"e2e3604784f299273a345ded8ab600174b5fe33d".

#3 - 2016-01-19 12:33 AM - Yves Jacolin

Nyall Dawson wrote:

Fixed in changeset commit:"e2e3604784f299273a345ded8ab600174b5fe33d".

thanks Nyall!
